KD SOAP API Documentation: KDQName Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
KDQName Class Reference

`#include <KDQName.h>`

## Public Types
typedef QList< KDQName > | List

## Public Member Functions
| KDQName ()
| KDQName (const QString &name)
| KDQName (const QString &nameSpace, const QString &localName)
bool | isEmpty () const
QString | localName () const
QString | nameSpace () const
bool | operator!= (const KDQName &) const
void | operator= (const QString &name)
bool | operator== (const KDQName &) const
QString | prefix () const
QString | qname () const
void | setNameSpace (const QString &nameSpace)
KDSoapValue | toSoapValue (const QString &name, const QString &typeNameSpace=QString(), const QString &typeName=QString()) const

## Static Public Member Functions
static KDQName | fromSoapValue (const KDSoapValue &value)

## Detailed Description

Definition at line 22 of file KDQName.h.

## Member Typedef Documentation

## ◆ List

typedef QList<KDQName> KDQName::List

Definition at line 25 of file KDQName.h.

## Constructor & Destructor Documentation

## ◆ KDQName() [1/3]

KDQName::KDQName | ( |  | ) |

Definition at line 15 of file KDQName.cpp.

## ◆ KDQName() [2/3]

KDQName::KDQName | ( | const QString & | name | ) |
| explicit

Definition at line 19 of file KDQName.cpp.

## ◆ KDQName() [3/3]

KDQName::KDQName | ( | const QString & | nameSpace,
|  | const QString & | localName
| ) |  |

Definition at line 24 of file KDQName.cpp.

References QString::contains(), and localName().

## Member Function Documentation

## ◆ fromSoapValue()

KDQName KDQName::fromSoapValue | ( | const KDSoapValue & | value | ) |
| static

Creates a KDQName from a KDSoapValue.

Definition at line 79 of file KDQName.cpp.

References KDSoapValue::environmentNamespaceDeclarations(), QXmlStreamNamespaceDeclaration::namespaceUri(), QXmlStreamNamespaceDeclaration::prefix(), qname(), QStringRef::toString(), QVariant::toString(), and KDSoapValue::value().

## ◆ isEmpty()

bool KDQName::isEmpty | ( |  | ) | const

Definition at line 74 of file KDQName.cpp.

References QString::isEmpty().

## ◆ localName()

QString KDQName::localName | ( |  | ) | const

Definition at line 36 of file KDQName.cpp.

Referenced by KDQName(), and operator<<().

## ◆ nameSpace()

QString KDQName::nameSpace | ( |  | ) | const

Definition at line 59 of file KDQName.cpp.

Referenced by operator<<(), and setNameSpace().

## ◆ operator!=()

bool KDQName::operator!= | ( | const KDQName & | qname | ) | const

Definition at line 69 of file KDQName.cpp.

References operator==(), and qname().

## ◆ operator=()

void KDQName::operator= | ( | const QString & | name | ) |

Definition at line 31 of file KDQName.cpp.

## ◆ operator==()

bool KDQName::operator== | ( | const KDQName & | qname | ) | const

Definition at line 64 of file KDQName.cpp.

References qname().

Referenced by operator!=().

## ◆ prefix()

QString KDQName::prefix | ( |  | ) | const

Definition at line 41 of file KDQName.cpp.

## ◆ qname()

QString KDQName::qname | ( |  | ) | const

Definition at line 46 of file KDQName.cpp.

References QString::isEmpty().

Referenced by fromSoapValue(), operator!=(), operator<<(), operator==(), and toSoapValue().

## ◆ setNameSpace()

void KDQName::setNameSpace | ( | const QString & | nameSpace | ) |

Definition at line 54 of file KDQName.cpp.

References nameSpace().

## ◆ toSoapValue()

KDSoapValue KDQName::toSoapValue | ( | const QString & | name,
|  | const QString & | typeNameSpace = `QString()`,
|  | const QString & | typeName = `QString()`
| ) |  | const

Returns a KDSoapValue representation.

Definition at line 95 of file KDQName.cpp.

References KDSoapValue::addNamespaceDeclaration(), QString::isEmpty(), and qname().

The documentation for this class was generated from the following files:

- KDQName.h
- KDQName.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8